﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace CRUD_WebGrid_SP_jQuery_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            using (CustomersEntities entities = new CustomersEntities())
            {
                List<Customer> customers = entities.Customers_PerformCRUD("SELECT", null, null, null).ToList();

                //Add a Dummy Row.
                customers.Insert(0, new Customer());
                return View(customers.ToList());
            }
        }

        [HttpPost]
        public JsonResult InsertCustomer(Customer customer)
        {
            using (CustomersEntities entities = new CustomersEntities())
            {
                Customer _customer = entities.Customers_PerformCRUD("INSERT", null, customer.Name, customer.Country).FirstOrDefault();
                return Json(_customer);
            }
        }

        [HttpPost]
        public ActionResult UpdateCustomer(Customer customer)
        {
            using (CustomersEntities entities = new CustomersEntities())
            {
                entities.Customers_PerformCRUD("UPDATE", customer.CustomerId, customer.Name, customer.Country);
            }

            return new EmptyResult();
        }

        [HttpPost]
        public ActionResult DeleteCustomer(int customerId)
        {
            using (CustomersEntities entities = new CustomersEntities())
            {
                entities.Customers_PerformCRUD("DELETE", customerId, null, null);
            }

            return new EmptyResult();
        }
    }
}